<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Thu Sep 27 21:41:14 CEST 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
SSLLayeringStrategy (HttpAsyncClient 4.0-beta3 API)
</TITLE>

<META NAME="date" CONTENT="2012-09-27">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SSLLayeringStrategy (HttpAsyncClient 4.0-beta3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SSLLayeringStrategy.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLLayeringStrategy.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.nio.conn.ssl</FONT>
<BR>
Class SSLLayeringStrategy</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.nio.conn.ssl.SSLLayeringStrategy</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html" title="interface in org.apache.http.nio.conn.scheme">LayeringStrategy</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>SSLLayeringStrategy</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html" title="interface in org.apache.http.nio.conn.scheme">LayeringStrategy</A></DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSL">SSL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLV2">SSLV2</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#TLS">TLS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(java.security.KeyStore)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(java.security.KeyStore, java.lang.String)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(java.security.KeyStore, java.lang.String, java.security.KeyStore)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(javax.net.ssl.SSLContext)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(javax.net.ssl.SSLContext, org.apache.http.conn.ssl.X509HostnameVerifier)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslContext,
                    <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.ssl.TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;algorithm,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/SecureRandom.html?is-external=true" title="class or interface in java.security">SecureRandom</A>&nbsp;random,
                    <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy,
                    <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.ssl.X509HostnameVerifier)">SSLLayeringStrategy</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;algorithm,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore,
                    <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/SecureRandom.html?is-external=true" title="class or interface in java.security">SecureRandom</A>&nbsp;random,
                    <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy)">SSLLayeringStrategy</A></B>(<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)">SSLLayeringStrategy</A></B>(<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy,
                    <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html" title="class in org.apache.http.nio.conn.ssl">SSLLayeringStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#getDefaultStrategy()">getDefaultStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#initializeEngine(javax.net.ssl.SSLEngine)">initializeEngine</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLEngine.html?is-external=true" title="class or interface in javax.net.ssl">SSLEngine</A>&nbsp;engine)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#isSecure()">isSecure</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.ssl.SSLIOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.ssl.SSLIOSession</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#layer(org.apache.http.nio.reactor.IOSession)">layer</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.IOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.IOSession</A>&nbsp;iosession)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html#verifySession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLSession)">verifySession</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.IOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.IOSession</A>&nbsp;iosession,
              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLSession.html?is-external=true" title="class or interface in javax.net.ssl">SSLSession</A>&nbsp;sslsession)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="TLS"><!-- --></A><H3>
TLS</H3>
<PRE>
public static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TLS</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.apache.http.nio.conn.ssl.SSLLayeringStrategy.TLS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SSL"><!-- --></A><H3>
SSL</H3>
<PRE>
public static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SSL</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.apache.http.nio.conn.ssl.SSLLayeringStrategy.SSL">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SSLV2"><!-- --></A><H3>
SSLV2</H3>
<PRE>
public static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SSLV2</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.apache.http.nio.conn.ssl.SSLLayeringStrategy.SSLV2">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SSLLayeringStrategy(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.ssl.X509HostnameVerifier)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;algorithm,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/SecureRandom.html?is-external=true" title="class or interface in java.security">SecureRandom</A>&nbsp;random,
                           <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(java.lang.String, java.security.KeyStore, java.lang.String, java.security.KeyStore, java.security.SecureRandom, org.apache.http.conn.ssl.TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;algorithm,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/SecureRandom.html?is-external=true" title="class or interface in java.security">SecureRandom</A>&nbsp;random,
                           <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy,
                           <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(java.security.KeyStore, java.lang.String, java.security.KeyStore)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(java.security.KeyStore, java.lang.String)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;keystore,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;keystorePassword)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(java.security.KeyStore)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStore.html?is-external=true" title="class or interface in java.security">KeyStore</A>&nbsp;truststore)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy,
                           <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/TrustStrategy.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">TrustStrategy</A>&nbsp;trustStrategy)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A>,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/NoSuchAlgorithmException.html?is-external=true" title="class or interface in java.security">NoSuchAlgorithmException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyManagementException.html?is-external=true" title="class or interface in java.security">KeyManagementException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/KeyStoreException.html?is-external=true" title="class or interface in java.security">KeyStoreException</A></CODE>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/security/UnrecoverableKeyException.html?is-external=true" title="class or interface in java.security">UnrecoverableKeyException</A></CODE></DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(javax.net.ssl.SSLContext, org.apache.http.conn.ssl.X509HostnameVerifier)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslContext,
                           <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/conn/ssl/X509HostnameVerifier.html?is-external=true" title="class or interface in org.apache.http.conn.ssl">X509HostnameVerifier</A>&nbsp;hostnameVerifier)</PRE>
<DL>
</DL>
<HR>

<A NAME="SSLLayeringStrategy(javax.net.ssl.SSLContext)"><!-- --></A><H3>
SSLLayeringStrategy</H3>
<PRE>
public <B>SSLLayeringStrategy</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslContext)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getDefaultStrategy()"><!-- --></A><H3>
getDefaultStrategy</H3>
<PRE>
public static <A HREF="../../../../../../org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html" title="class in org.apache.http.nio.conn.ssl">SSLLayeringStrategy</A> <B>getDefaultStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSecure()"><!-- --></A><H3>
isSecure</H3>
<PRE>
public boolean <B>isSecure</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html#isSecure()">isSecure</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html" title="interface in org.apache.http.nio.conn.scheme">LayeringStrategy</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="layer(org.apache.http.nio.reactor.IOSession)"><!-- --></A><H3>
layer</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.ssl.SSLIOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.ssl.SSLIOSession</A> <B>layer</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.IOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.IOSession</A>&nbsp;iosession)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html#layer(org.apache.http.nio.reactor.IOSession)">layer</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/conn/scheme/LayeringStrategy.html" title="interface in org.apache.http.nio.conn.scheme">LayeringStrategy</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="initializeEngine(javax.net.ssl.SSLEngine)"><!-- --></A><H3>
initializeEngine</H3>
<PRE>
protected void <B>initializeEngine</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLEngine.html?is-external=true" title="class or interface in javax.net.ssl">SSLEngine</A>&nbsp;engine)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="verifySession(org.apache.http.nio.reactor.IOSession, javax.net.ssl.SSLSession)"><!-- --></A><H3>
verifySession</H3>
<PRE>
protected void <B>verifySession</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/nio.reactor.IOSession.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.nio.reactor.IOSession</A>&nbsp;iosession,
                             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLSession.html?is-external=true" title="class or interface in javax.net.ssl">SSLSession</A>&nbsp;sslsession)
                      throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLException.html?is-external=true" title="class or interface in javax.net.ssl">SSLException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLException.html?is-external=true" title="class or interface in javax.net.ssl">SSLException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SSLLayeringStrategy.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/nio/conn/ssl/SSLLayeringStrategy.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SSLLayeringStrategy.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2010-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
